# coding=utf-8

import os
from datetime import timedelta

# from log_settings import *

# Build paths inside the project like this: os.path.join(BASE_DIR, ...)
BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))

# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/1.10/howto/deployment/checklist/

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = '^j3sg)sj8rc@du74%fb$c2926tv!!4g(kp-=rx1)c5!1&1(dq='

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = False

ALLOWED_HOSTS = []

SENTRY_CELERY_ENDPOINT = "http://60b0004c8884420f8067fb32fc3ed244:20f97fc73ffa4aad9735d0e6542a6d78@sentry.igengmei.com/140"

RAVEN_CONFIG = {
    'dsn': 'http://60b0004c8884420f8067fb32fc3ed244:20f97fc73ffa4aad9735d0e6542a6d78@sentry.igengmei.com/140'
}

# Application definition
BROKER_URL = "redis://:gHtmeIqBhVHtH8MG@172.17.40.140:6379/8"
CELERY_BROKER_URL = "redis://:gHtmeIqBhVHtH8MG@172.17.40.140:6379/8"
CELERY_TIMEZONE = 'Asia/Shanghai'
CELERY_ROUTES = ['physical.celery_task_router.CeleryTaskRouter']
DATABASE_ROUTERS = ['physical.DBRouter.DBRouter']

INSTALLED_APPS = [
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    'raven.contrib.django.raven_compat',
    'trans2es',
    'search',
    'injection.data_sync'
]
CELERYBEAT_SCHEDULE = {
    'sync_face_similar_data_to_redis': {
        'task': 'injection.data_sync.tasks.sync_face_similar_data_to_redis',
        'schedule': timedelta(seconds=120),
        'args': ()
    },
    'set_tag_count': {
        'task': 'injection.data_sync.tasks.get_tag_count',
        'schedule': timedelta(seconds=120),
        'args': ()
    },
}

ROOT_URLCONF = 'physical.urls'


WSGI_APPLICATION = 'physical.wsgi.application'

REDIS_URL = "redis://:gHtmeIqBhVHtH8MG@172.17.40.140:6379/1"
# Database
# https://docs.djangoproject.com/en/1.10/ref/settings/#databases

LOGIN_URL = "http://earth.iyanzhi.com/api/account/login_pwd"
AUTO_CLICK_URL = "http://earth.iyanzhi.com/api/v1/like"
AUTO_VOTE_URL = "http://earth.iyanzhi.com/api/v1/ballot"
AUTO_REPLY_URL = "http://earth.iyanzhi.com/api/v1/reply/create"
AUTO_FOLLOW_URL = "http://earth.iyanzhi.com/api/v1/follow"
AUTO_URGE_URL = "http://earth.iyanzhi.com/api/v1/user/urge"
AUTO_INNER_REPLY_URL = "http://saturn.iyanzhi.com/api/v1/reply/create_for_inner"
SERVICE_NAME = "线上"


DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.mysql',
        'NAME': 'alpha',
        'USER': 'work',
        'PASSWORD': 'oars152!traipseize738',
        'HOST': '172.17.40.144',
        'PORT': '3306',
        'OPTIONS': {
            "init_command": "SET foreign_key_checks = 0;",
            "charset": "utf8mb4",
        },
    },
    'master': {
        'ENGINE': 'django.db.backends.mysql',
        'NAME': 'alpha',
        'USER': 'work',
        'PASSWORD': 'oars152!traipseize738',
        'HOST': '172.17.40.141',
        'PORT': '3306',
        'OPTIONS': {
            "init_command": "SET foreign_key_checks = 0;",
            "charset": "utf8mb4",
        },
    },
     'slave': {
        'ENGINE': 'django.db.backends.mysql',
        'NAME': 'alpha',
        'USER': 'work',
        'PASSWORD': 'oars152!traipseize738',
        'HOST': '172.17.40.144',
        'PORT': '3306',
        'OPTIONS': {
            "init_command": "SET foreign_key_checks = 0;",
            "charset": "utf8mb4",
        },
    },
    'slave1': {
        'ENGINE': 'django.db.backends.mysql',
        'NAME': 'alpha',
        'USER': 'work',
        'PASSWORD': 'oars152!traipseize738',
        'HOST': '172.17.40.147',
        'PORT': '3306',
        'OPTIONS': {
            "init_command": "SET foreign_key_checks = 0;",
            "charset": "utf8mb4",
        },
    },
    'slave2': {
        'ENGINE': 'django.db.backends.mysql',
        'NAME': 'alpha',
        'USER': 'work',
        'PASSWORD': 'oars152!traipseize738',
        'HOST': '172.17.40.163',
        'PORT': '3306',
        'OPTIONS': {
            "init_command": "SET foreign_key_checks = 0;",
            "charset": "utf8mb4",
        },
    },
    'face': {
        'ENGINE': 'django.db.backends.mysql',
        'NAME': 'face',
        'USER': 'work',
        'PASSWORD': 'oars152!traipseize738',
        'HOST': '172.17.40.141',
        'PORT': '3306',
        'OPTIONS': {
            "init_command": "SET foreign_key_checks = 0;",
            "charset": "utf8mb4",
        },
    },
    'commodity': {
        'ENGINE': 'django.db.backends.mysql',
        'NAME': 'commodity',
        'USER': 'work',
        'PASSWORD': 'oars152!traipseize738',
        'HOST': '172.17.40.144',
        'PORT': '3306',
        'OPTIONS': {
            "init_command": "SET foreign_key_checks = 0;",
            "charset": "utf8mb4",
        },
    },
}


ES_INFO_LIST = [
    {
        "host": "172.17.32.22",
        "port": 9200
    },
    {
        "host": "172.17.32.25",
        "port": 9200
    },
    {
        "host": "172.17.32.19",
        "port": 9200
    },
    {
        "host": "172.17.32.32",
        "port": 9200
    },
    {
        "host": "172.17.32.47",
        "port": 9200
    },
    {
        "host": "172.17.32.18",
        "port": 9200
    },
    {
        "host": "172.17.32.39",
        "port": 9200
    },
    {
        "host": "172.17.32.23",
        "port": 9200
    }
]

TAG_ES_INFO_LIST = [
    {
        "host": "172.17.32.27",
        "port": 9200
    }
]

KAFKA_BROKER_LIST = "172.17.32.49:9092,172.17.32.46:9092,172.17.32.58:9092"
KAFKA_TOPIC_NAME = "gm-maidian-data"
KAFKA_GM_LOGGING_TOPIC_NAME = "gm-logging-prod"
SLAVE_DB_NAME = 'slave'
SLAVE1_DB_NAME = 'slave1'
SLAVE2_DB_NAME = 'slave2'
MASTER_DB_NAME = 'master'

ES_INDEX_PREFIX = "gm-dbmw"

MIDDLEWARE_CLASSES = (
    'gm_tracer.middleware.TracerMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.auth.middleware.SessionAuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',
    'helios.DjangoL5dMiddleware',
)
# Password validation
# https://docs.djangoproject.com/en/1.10/ref/settings/#auth-password-validators


# Internationalization
# https://docs.djangoproject.com/en/1.10/topics/i18n/

# LANGUAGE_CODE = 'en-us'
#
TIME_ZONE = 'Asia/Shanghai'

USE_I18N = True

USE_L10N = True
#
# USE_TZ = True


# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/1.10/howto/static-files/

STATIC_URL = '/static/'

CACHE_SECONDS = 60 * 60 * 24 * 2
REDIS_HOST = '172.17.40.140'
REDIS_PW = 'gHtmeIqBhVHtH8MG'
REDIS_TOPIC = {
    'reply_cache': {'host': REDIS_HOST, 'port': 6379, 'db': 9, 'password': REDIS_PW},
    'follow_cache': {'host': REDIS_HOST, 'port': 6379, 'db': 10, 'password': REDIS_PW},
    'click_cache': {'host': REDIS_HOST, 'port': 6379, 'db': 11, 'password': REDIS_PW},
}